Status: Closed
Priority: Normal
Category:

Customer: AUDI
Department: EF

Product Issue
Numbers:

Affected Products:

ADTF 3.6.0

Requester's Priority: Normal Platform:

Support Level: 2nd Level Topic: ADTF::Common
Resolution: Solved Issue FAQ Links:

Description

Supportanfrage

Wo kann ich nachlesen, wie man die CID seiner eigenen Komponenten strukturieren sollte?

Ich habe festgestellt, dass ich selbst in verschiedenen Filtern nicht konsistent bin und frage mich, wie man es richtig macht.

Lésung
Hier kannst du es nachlesen:

e Class IDs and Object IDs

Wir unterscheiden dabei unsere Produkte:

e adtf (adtf core)

e devicetb (fir Device TB Componenten)

calibtb (fur CalibTB Componenten)
¢ disptb (fr DispTB Componenten)

Also kénntest du zb ailab nehmen...

Was mehr fur dich interessant ist, wir verwenden aktuell folgende Kategorien:

o filter

e ui_filter

e streaming_source
¢ streaming_sink
* service

® ui_service
e 2d drawer
* 3d_mixin

* serialization
e streaming
e tool

e Ui_tool

Dann wird demnéachst vermutlich noch ein
e qt3d

category dazukommen

History

#1 - 2019-09-18 14:08 - hidden

- Status changed from New to Customer Feedback Required

- Private changed from Yes to No

2024-04-17

1/2



https://support.digitalwerk.net/adtf/v3/adtf_html/page_ucom_object_id_and_class_id.html

- Topic set to ADTF::Common
- Customer set to AUDI
- Department set to EF

- Affected Products ADTF 3.6.0 added

Hi Jens,
hier kannst du es nachlesen:

e Class IDs and Object IDs

Wir unterscheiden dabei unsere Produkte:

adtf (adtf core)

e devicetb (fir Device TB Componenten)
e calibtb (fur CalibTB Componenten)

e disptb (fur DispTB Componenten)

ALso kdnntest du zb ailab nehmen...
Was mehr fir dich interessant ist, wir verwenden aktuell folgende Kategorien:

o filter

ui_filter
streaming_source
streaming_sink
service
ui_service
2d_drawer
3d_mixin
serialization
streaming

tool

ui_tool

Dann wird demnachst vermutlich noch ein
* qt3d
category dazukommen

#2 - 2019-09-18 17:07 - hidden

Danke! Hat geholfen.

#3 - 2019-09-18 17:09 - hidden

- Subject changed from ADTF3 CID Konventionen to ADTF3 CID naming conventions
- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to Solved Issue

#4 - 2020-07-07 12:45 - hidden
- Status changed from To Be Closed to Closed

2024-04-17
